> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all prompts

> Retrieve a paginated list of all prompts in the system. A prompt can have multiple versions.



## OpenAPI

````yaml get /v1/prompts
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/prompts:
    get:
      tags:
        - prompts
      summary: List all prompts
      description: >-
        Retrieve a paginated list of all prompts in the system. A prompt can
        have multiple versions.
      operationId: getPrompts
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (base64-encoded prompt ID)
            title: Cursor
          description: Cursor for pagination (base64-encoded prompt ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of prompts to return at a time.
            default: 100
            title: Limit
          description: The max number of prompts to return at a time.
      responses:
        '200':
          description: A list of prompts with pagination information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPromptsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetPromptsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Prompt'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetPromptsResponseBody
    Prompt:
      properties:
        name:
          $ref: '#/components/schemas/Identifier'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source_prompt_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Prompt Id
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - id
      title: Prompt
    Identifier:
      type: string
      pattern: ^[a-z0-9]([_a-z0-9-]*[a-z0-9])?$
      title: Identifier

````